import { select, json, geoPath, geoMercator, zoom, event  } from 'd3';

const svg = select('svg');

var w = 760;
var h = 600;

const projection = geoMercator()
								   .center([ -120, 37 ])
								   .translate([ w/2, h/2 ])
								   .scale([ w*3.3 ]);

const pathGenerator = geoPath().projection(projection);

const g = svg.append('g'); 

svg.call(zoom().on('zoom', () => {
  g.attr('transform', event.transform);
}));

json('https://raw.githubusercontent.com/OpenDataDE/State-zip-code-GeoJSON/master/ca_california_zip_codes_geo.min.json')
	.then(data => {

  	g.selectAll('path')
    	.data(data.features)
      .enter().append('path')
  			.attr('class', 'zipcode')
  			.attr('d', pathGenerator)
  		.append('title')
  			.text(d => d.properties.ZCTA5CE10);
});